"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findFile = void 0;
const promises_1 = __importDefault(require("node:fs/promises"));
const node_path_1 = __importDefault(require("node:path"));
const isFile = async (filePath) => {
    try {
        const stats = await promises_1.default.stat(filePath);
        return stats.isFile();
    }
    catch {
        return false;
    }
};
const findFile = async (cwd, fileName) => {
    const filePath = node_path_1.default.join(cwd, fileName);
    if (await isFile(filePath)) {
        return filePath;
    }
    else {
        const parentDir = node_path_1.default.resolve(cwd, '..');
        return parentDir === '/' ? undefined : (0, exports.findFile)(parentDir, fileName);
    }
};
exports.findFile = findFile;
